## org.jvnet.hudson.reactor
Class MilestoneImpl

    java.lang.Object
      org.jvnet.hudson.reactor.MilestoneImpl

All Implemented Interfaces:
  Milestone

    public class MilestoneImpl

extends java.lang.Object
implements Milestone

Default `Milestone` implementation.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`MilestoneImpl()` Only compare equal with this `MilestoneImpl` and nothing else.
`MilestoneImpl(java.lang.String id)` Compares equal with other `MilestoneImpl`s with the same ID.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MilestoneImpl

    public MilestoneImpl(java.lang.String id)

  Compares equal with other `MilestoneImpl`s with the same ID.

### MilestoneImpl

    public MilestoneImpl()

  Only compare equal with this `MilestoneImpl` and nothing else.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.